/* SPDX-License-Identifier: GPL-2.0-only */


#ifndef __QCOM_MPM_H__
#define __QCOM_MPM_H__

#include <linux/cpumask.h>

#if IS_ENABLED(CONFIG_QCOM_MPM)
int msm_mpm_enter_sleep(struct cpumask *cpumask);
#else
static inline int msm_mpm_enter_sleep(struct cpumask *cpumask)
{
	return -ENODEV;
}
#endif

#endif 
